<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Friend List</title>
    <style>
      table {
        font-family: arial, sans-serif;
        border-collapse: collapse;
        width: 100%;
      }
      
      td, th {
        border: 1px solid #dddddd;
        text-align: left;
        padding: 8px;
      }
      tr:nth-child(even) {
        background-color: #dddddd;
      }
      </style>
  </head>
  <body>
    <h1 style="font-family:Arial, Helvetica, sans-serif;" >My Friend List</h1>
    <table style="font-family:Arial, Helvetica, sans-serif;">
      <tr padding="10px"> 
        <th>Name</th>
        <th>NPM</th>
        <th>DOB</th>
       
      </tr>
      {% for f in friends %}
      <tr padding = "10px">
        <td>{{ f.name }}</td>
        <td>{{ f.npm }}</td>
        <td>{{ f.DOB }}</td>
      </tr>
      {% endfor %}
    </table>
  </body>
</html>
